5.3 반응형 URL
- 1. 반응형 URL 생성
- 2. 반응형 URL 삭제
- 3. 반응형 URL 목록 조회
- 4. 반응형 URL 통계
- 5. 반응형 URL 유입채널별 통계
- 6. 반응형 URL 클릭수신자별 통계
- 7. 반응형 URL 타임라인 통계
- Appendix
1. 반응형 URL 생성
Section titled “1. 반응형 URL 생성”반응형 URL을 생성합니다.
📌 주의사항
Section titled “📌 주의사항”- 생성된 URL은 만료일까지 사용 가능하며, 만료일 이후에는 자동으로 비활성화됩니다.
- URL 제목은 사용자가 쉽게 식별할 수 있도록 의미있는 이름을 사용하는 것이 좋습니다.
- 원본 URL은 반드시
http://또는https://로 시작해야 합니다.
1) 요청 (Request)
Section titled “1) 요청 (Request)”POST https://mnt-api.msghub.uplus.co.kr/msg/v1/createClickUrl HTTP/1.1Headers
Section titled “Headers”| 필드명 | 타입 | 필수 여부 | 설명 |
|---|---|---|---|
| Authorization | String | ● | 사용자 인증 토큰 |
| Content-Type | String | ● | application/json |
Request Body
Section titled “Request Body”| 필드명 | 타입 | 필수 여부 | 설명 | 크기 |
|---|---|---|---|---|
| urlTitle | String | ● | 반응형 URL 제목 | - |
| orgUrl | String | ● | 반응형 URL 원본 URL | - |
| expDt | String | ● | 만료일 (YYYY-MM-DD HH:mm:ss) | - |
2) 응답 (Response)
Section titled “2) 응답 (Response)”Response Body
Section titled “Response Body”| 필드명 | 타입 | 설명 |
|---|---|---|
| code | String | 결과 코드 |
| message | String | 결과 메시지 |
3) 요청 예시 (Sample)
Section titled “3) 요청 예시 (Sample)”curl -X POST "https://mnt-api.msghub.uplus.co.kr/msg/v1/createClickUrl" \ -H "accept: */*" \ -H "Content-Type: application/json" \ -H "Authorization: Bearer {token}" \ -d '{ "urlTitle": "2024 봄맞이 프로모션", "orgUrl": "https://example.com/promotion/spring2024", "expDt": "2024-12-31 23:59:59" }'Response
Section titled “Response”{ "code": "10000", "message": "성공", "data": 1}2. 반응형 URL 삭제
Section titled “2. 반응형 URL 삭제”생성된 반응형 URL을 삭제합니다. 삭제된 URL은 더 이상 사용할 수 없습니다.
📌 주의사항
Section titled “📌 주의사항”- 삭제된 URL은 복구가 불가능하므로 신중하게 진행해야 합니다.
- 이미 메시지에 포함되어 발송된 URL을 삭제해도 해당 메시지의 URL은 계속 작동합니다.
1) 요청 (Request)
Section titled “1) 요청 (Request)”POST https://mnt-api.msghub.uplus.co.kr/msg/v1/deleteClickUrl HTTP/1.1Headers
Section titled “Headers”| 필드명 | 타입 | 필수 여부 | 설명 |
|---|---|---|---|
| Authorization | String | ● | 사용자 인증 토큰 |
| Content-Type | String | ● | application/json |
Query Parameter
Section titled “Query Parameter”| 필드명 | 타입 | 필수 여부 | 설명 |
|---|---|---|---|
| urlId | String | ● | 반응형 URL ID |
2) 응답 (Response)
Section titled “2) 응답 (Response)”Response Body
Section titled “Response Body”| 필드명 | 타입 | 설명 |
|---|---|---|
| code | String | 결과 코드 |
| message | String | 결과 메시지 |
| data | Object | 빈 객체 |
3) 요청 예시 (Sample)
Section titled “3) 요청 예시 (Sample)”curl -X POST "https://mnt-api.msghub.uplus.co.kr/msg/v1/deleteClickUrl?urlId=t...4" \ -H "accept: */*" \ -H "Content-Type: application/json" \ -H "Authorization: Bearer {token}" \Response
Section titled “Response”{ "code": "10000", "message": "성공", "data": 0}3. 반응형 URL 목록 조회
Section titled “3. 반응형 URL 목록 조회”생성된 반응형 URL 목록을 조회합니다. 페이지 단위로 결과를 제공하며, 한 페이지당 최대 100개의 URL 정보를 반환합니다.
📌 주의사항
Section titled “📌 주의사항”- 페이지 번호는 1부터 시작합니다.
- 만료된 URL도 목록에 포함됩니다.
- 삭제된 URL은 목록에서 제외됩니다.
1) 요청 (Request)
Section titled “1) 요청 (Request)”GET https://mnt-api.msghub.uplus.co.kr/msg/v1/getClickUrl HTTP/1.1Headers
Section titled “Headers”| 필드명 | 타입 | 필수 여부 | 설명 |
|---|---|---|---|
| Authorization | String | ● | 사용자 인증 토큰 |
Query Parameters
Section titled “Query Parameters”| 필드명 | 타입 | 필수 여부 | 설명 |
|---|---|---|---|
| page | Integer | ● | 페이지 번호 (1부터 시작) |
2) 응답 (Response)
Section titled “2) 응답 (Response)”Response Body
Section titled “Response Body”| 필드명 | 타입 | 설명 |
|---|---|---|
| code | String | 결과 코드 |
| message | String | 결과 메시지 |
| data.no | Integer | 번호 |
| data.title | String | 반응형 URL 제목 |
| data.urlId | String | 반응형 URL ID |
| data.orgUrl | String | 원본 URL |
| data.expDt | String | 만료일 |
| data.regDt | String | 등록일 |
3) 요청 예시 (Sample)
Section titled “3) 요청 예시 (Sample)”curl -X GET "https://mnt-api.msghub.uplus.co.kr/msg/v1/getClickUrl?page=1" \ -H "accept: */*" \ -H "Authorization: Bearer {token}"Response
Section titled “Response”{ "code": "10000", "message": "성공", "data": [ { "no": 1, "title": "반응형URL테스트", "urlId": "3....m", "orgUrl": "http://www.abcde.com/display/goods.do?goods_code=....\t", "expDt": "2025-05-21 23:59:59", "regDt": "2025-05-14 11:12:26" }, { "no": 2, "title": "테스트", "urlId": "6....y", "orgUrl": "https://naver.com", "expDt": "2024-02-26 23:59:59", "regDt": "2024-02-26 15:55:56" }, .... ]}4. 반응형 URL 통계
Section titled “4. 반응형 URL 통계”반응형 URL의 클릭 통계를 조회합니다. 발송 건수, 클릭 건수, 클릭률 등의 정보를 확인할 수 있습니다.
📌 주의사항
Section titled “📌 주의사항”- 조회 기간은 최대 31일까지 가능합니다.
- 등록일을 기준으로 조회됩니다.
- urlId, title, orgUrl 중 하나 이상의 조건을 지정할 수 있습니다.
1) 요청 (Request)
Section titled “1) 요청 (Request)”POST https://mnt-api.msghub.uplus.co.kr/msg/v1/stat/url/msg HTTP/1.1Headers
Section titled “Headers”| 필드명 | 타입 | 필수 여부 | 설명 |
|---|---|---|---|
| Authorization | String | ● | 사용자 인증 토큰 |
| Content-Type | String | ● | application/json |
Request Body
Section titled “Request Body”| 필드명 | 타입 | 필수 여부 | 설명 |
|---|---|---|---|
| from | String | ● | 조회시작일 (YYYY-MM-DD) |
| to | String | ● | 조회종료일 (YYYY-MM-DD) |
| urlId | String | - | 반응형 URL ID |
| title | String | - | 반응형 URL 제목 |
| orgUrl | String | - | 원본 URL |
2) 응답 (Response)
Section titled “2) 응답 (Response)”Response Body
Section titled “Response Body”| 필드명 | 타입 | 설명 |
|---|---|---|
| code | String | 결과 코드 |
| message | String | 결과 메시지 |
| data.urlId | String | 반응형 URL ID |
| data.title | String | 반응형 URL 제목 |
| data.orgUrl | String | 원본 URL |
| data.regDt | String | 등록일 |
| data.totCnt | String | 총 발송 건수 |
| data.conCnt | String | 총 클릭 건수 |
| data.clickThroughRate | String | 클릭률 (%) |
3) 요청 예시 (Sample)
Section titled “3) 요청 예시 (Sample)”curl -X POST "https://mnt-api.msghub.uplus.co.kr/msg/v1/stat/url/msg" \ -H "accept: */*" \ -H "Content-Type: application/json" \ -H "Authorization: Bearer {token}" \ -d '{ "from": "2024-01-01", "to": "2024-01-31", "urlId": "URL12345", "title": "2024 봄맞이 프로모션", "orgUrl": "https://example.com/promotion/spring2024" }'Response
Section titled “Response”{ "code": "10000", "message": "성공", "data": { "urlId": "URL12345", "title": "2024 봄맞이 프로모션", "orgUrl": "https://example.com/promotion/spring2024", "regDt": "2024-01-01", "totCnt": "1000", "conCnt": "350", "clickThroughRate": "35.0" }}5. 반응형 URL 유입채널별 통계
Section titled “5. 반응형 URL 유입채널별 통계”반응형 URL의 채널별 클릭 통계를 조회합니다. SMS, MMS, RCS 등 각 채널별 발송 및 클릭 현황을 확인할 수 있습니다.
📌 주의사항
Section titled “📌 주의사항”- 조회 기간은 최대 31일까지 가능합니다.
- 발송일을 기준으로 조회됩니다.
- urlId는 필수 파라미터입니다.
1) 요청 (Request)
Section titled “1) 요청 (Request)”POST https://mnt-api.msghub.uplus.co.kr/msg/v1/stat/url/channel HTTP/1.1Headers
Section titled “Headers”| 필드명 | 타입 | 필수 여부 | 설명 |
|---|---|---|---|
| Authorization | String | ● | 사용자 인증 토큰 |
| Content-Type | String | ● | application/json |
Request Body
Section titled “Request Body”| 필드명 | 타입 | 필수 여부 | 설명 |
|---|---|---|---|
| from | String | ● | 조회시작일 (YYYY-MM-DD) |
| to | String | ● | 조회종료일 (YYYY-MM-DD) |
| urlId | String | ● | 반응형 URL ID |
2) 응답 (Response)
Section titled “2) 응답 (Response)”Response Body
Section titled “Response Body”| 필드명 | 타입 | 설명 |
|---|---|---|
| code | String | 결과 코드 |
| message | String | 결과 메시지 |
| data.ch | String | 채널 |
| data.totCnt | String | 총 발송 건수 |
| data.conCnt | String | 총 클릭 건수 |
| data.clickThroughRate | String | 클릭률 (%) |
3) 요청 예시 (Sample)
Section titled “3) 요청 예시 (Sample)”curl -X POST "https://mnt-api.msghub.uplus.co.kr/msg/v1/stat/url/channel" \ -H "accept: */*" \ -H "Content-Type: application/json" \ -H "Authorization: Bearer {token}" \ -d '{ "from": "2024-01-01", "to": "2024-01-31", "urlId": "URL12345" }'Response
Section titled “Response”{ "code": "10000", "message": "성공", "data": { "ch": "SMS", "totCnt": "1000", "conCnt": "350", "clickThroughRate": "35.0" }}6. 반응형 URL 클릭수신자별 통계
Section titled “6. 반응형 URL 클릭수신자별 통계”반응형 URL을 클릭한 수신자별 상세 통계를 조회합니다. 각 수신자의 클릭 시간, 채널, 단말기 정보 등을 확인할 수 있습니다.
📌 주의사항
Section titled “📌 주의사항”- 조회 기간은 최대 31일까지 가능합니다.
- 접속일을 기준으로 조회됩니다.
- 한 페이지당 최대 100건의 데이터를 반환합니다.
- phone 파라미터로 특정 수신자의 클릭 내역만 조회할 수 있습니다.
1) 요청 (Request)
Section titled “1) 요청 (Request)”POST https://mnt-api.msghub.uplus.co.kr/msg/v1/stat/url/receiver HTTP/1.1Headers
Section titled “Headers”| 필드명 | 타입 | 필수 여부 | 설명 |
|---|---|---|---|
| Authorization | String | ● | 사용자 인증 토큰 |
| Content-Type | String | ● | application/json |
Request Body
Section titled “Request Body”| 필드명 | 타입 | 필수 여부 | 설명 |
|---|---|---|---|
| from | String | ● | 조회시작일 (YYYY-MM-DD) |
| to | String | ● | 조회종료일 (YYYY-MM-DD) |
| urlId | String | ● | 반응형 URL ID |
| phone | String | - | 수신자 전화번호 |
| page | Integer | ● | 페이지 번호 |
2) 응답 (Response)
Section titled “2) 응답 (Response)”Response Body
Section titled “Response Body”| 필드명 | 타입 | 설명 |
|---|---|---|
| code | String | 결과 코드 |
| message | String | 결과 메시지 |
| data.urlId | String | 반응형 URL ID |
| data.totCnt | Integer | 총 클릭 건수 |
| data.recvlst[].conYmd | String | 클릭 일시 |
| data.recvlst[].urlId | String | 반응형 URL ID |
| data.recvlst[].phone | String | 수신자 전화번호 |
| data.recvlst[].sndYmd | String | 발송 일시 |
| data.recvlst[].ch | String | 채널 |
| data.recvlst[].isMobile | String | 모바일 여부 (Y/N) |
3) 요청 예시 (Sample)
Section titled “3) 요청 예시 (Sample)”curl -X POST "https://mnt-api.msghub.uplus.co.kr/msg/v1/stat/url/receiver" \ -H "accept: */*" \ -H "Content-Type: application/json" \ -H "Authorization: Bearer {token}" \ -d '{ "from": "2024-01-01", "to": "2024-01-31", "urlId": "URL12345", "phone": "01012345678", "page": 1 }'Response
Section titled “Response”{ "code": "10000", "message": "성공", "data": { "urlId": "URL12345", "totCnt": 150, "recvlst": [ { "conYmd": "2024-01-25T14:30:00.000Z", "urlId": "URL12345", "phone": "01012345678", "sndYmd": "2024-01-25T10:30:00.000Z", "ch": "SMS", "isMobile": "Y" } ] }}7. 반응형 URL 타임라인 통계
Section titled “7. 반응형 URL 타임라인 통계”반응형 URL의 시간대별 클릭 통계를 조회합니다. 발송 기준과 클릭 기준으로 각각 일별/시간별 통계를 확인할 수 있습니다.
📌 주의사항
Section titled “📌 주의사항”- 발송 기준 통계는 최대 15일까지 조회 가능합니다.
- 클릭 기준 통계는 최대 15일까지 조회 가능합니다.
- urlId는 필수 파라미터입니다.
1) 발송 기준 일별 통계
Section titled “1) 발송 기준 일별 통계”POST https://mnt-api.msghub.uplus.co.kr/msg/v1/stat/url/sendDay HTTP/1.1Request Body
Section titled “Request Body”| 필드명 | 타입 | 필수 여부 | 설명 |
|---|---|---|---|
| from | String | ● | 조회시작일 (YYYY-MM-DD) |
| to | String | ● | 조회종료일 (YYYY-MM-DD) |
| urlId | String | ● | 반응형 URL ID |
Response
Section titled “Response”{ "code": "10000", "message": "성공", "data": { "urlId": "URL12345", "ymd": "2024-01-25", "ch": "SMS", "conDt": "2024-01-25", "sumCnt": "350", "avgCnt": "23.3" }}2) 발송 기준 시간별 통계
Section titled “2) 발송 기준 시간별 통계”POST https://mnt-api.msghub.uplus.co.kr/msg/v1/stat/url/sendHour HTTP/1.1Request Body
Section titled “Request Body”| 필드명 | 타입 | 필수 여부 | 설명 |
|---|---|---|---|
| from | String | ● | 조회시작일 (YYYY-MM-DD) |
| to | String | ● | 조회종료일 (YYYY-MM-DD) |
| urlId | String | ● | 반응형 URL ID |
Response
Section titled “Response”{ "code": "10000", "message": "성공", "data": { "urlId": "URL12345", "ymd": "2024-01-25", "ch": "SMS", "hour": "14", "conDt": "2024-01-25", "sumCnt": "150", "avgCnt": "12.5" }}3) 클릭 기준 일별 통계
Section titled “3) 클릭 기준 일별 통계”POST https://mnt-api.msghub.uplus.co.kr/msg/v1/stat/url/clickDay HTTP/1.1Request Body
Section titled “Request Body”| 필드명 | 타입 | 필수 여부 | 설명 |
|---|---|---|---|
| from | String | ● | 조회시작일 (YYYY-MM-DD) |
| to | String | ● | 조회종료일 (YYYY-MM-DD) |
| urlId | String | ● | 반응형 URL ID |
Response
Section titled “Response”{ "code": "10000", "message": "성공", "data": { "urlId": "URL12345", "ymd": "2024-01-25", "ch": "SMS", "conDt": "2024-01-25", "sumCnt": "180", "avgCnt": "12.0" }}4) 클릭 기준 시간별 통계
Section titled “4) 클릭 기준 시간별 통계”POST https://mnt-api.msghub.uplus.co.kr/msg/v1/stat/url/clickHour HTTP/1.1Request Body
Section titled “Request Body”| 필드명 | 타입 | 필수 여부 | 설명 |
|---|---|---|---|
| from | String | ● | 조회시작일 (YYYY-MM-DD) |
| to | String | ● | 조회종료일 (YYYY-MM-DD) |
| urlId | String | ● | 반응형 URL ID |
Response
Section titled “Response”{ "code": "10000", "message": "성공", "data": { "urlId": "URL12345", "ymd": "2024-01-25", "ch": "SMS", "hour": "15", "conDt": "2024-01-25", "sumCnt": "75", "avgCnt": "5.0" }}